Subject: [Gen-art] Gen-art LC review of draft-ietf-idr-as0-05

From: Elwyn Davies <[email-masked]>
Date: Thu, 23 Aug 2012 13:27:31 +0100

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq> .

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-idr-as0-05.txt
Reviewer: Elwyn Davies
Review Date: 22 August 2012
IETF LC End Date: 22 August 2012
IESG Telechat date: (if known) - 

Summary:
Almost ready. 

Major issues:
None.

Minor issues:
s1, para 2:
>    [RFC6491] specifies that AS number zero in a ROA is used to mark an
>    NLRI which is to be marked as Invalid.
This is not what s4 of RFC 6491 says although ultimately this is
(probably) the way in which it is intended to be used.  RFC 6491 just
says that an 'AS 0 ROA' is used to mark a prefix and all its more
specific prefixes as not to be used in a routing context.

s1, para 4:
>    As at least two implementations discard routes containing AS 0, and
>    to allow approaches such as the above, this document codifies this
>    behavior.
This sentence is not entirely clear as to what behavior is being
codified. It could be just discarding routes with AS 0 or the the use of
AS 0 to mark prefixes that shouldn't be routed.  Please make this easier
to parse.  This is partly because of the over interpretation of RFC 6491
mentioned in the previous comment.

Nits/editorial comments:
Abstract: Acronym BGP needs expanding.
s1: Acronyms ROA, AS and NLRI need expanding.
s2: It would be worth reinforcing that the behaviors being modified here
are currently specified in RFC 4271.  Arguably relevant section numbers
would help.
s4: Acronym RPKI needs expanding.
s4, para 2:
> security gotchas often lurk in the undefined spaces
This is slang and cliche that may be difficult for non-US speakers to understand.

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 23 Aug 2012 19:27:55 -0400

Elwyn:

Thanks for sending in the review.

Sue 

-----Original Message-----
From: Elwyn Davies [mailto:[email-masked]] 
Sent: Thursday, August 23, 2012 8:28 AM
To: General Area Review Team
Cc: [email-masked]
Subject: Spam:*******, Gen-art LC review of draft-ietf-idr-as0-05

Please resolve these comments along with any other Last Call comments you
may receive.

Summary:
Almost ready. 

Major issues:
None.

Minor issues:
This is not what s4 of RFC 6491 says although ultimately this is
(probably) the way in which it is intended to be used.  RFC 6491 just says
that an 'AS 0 ROA' is used to mark a prefix and all its more specific
prefixes as not to be used in a routing context.

>    to allow approaches such as the above, this document codifies this
This sentence is not entirely clear as to what behavior is being codified.
It could be just discarding routes with AS 0 or the the use of AS 0 to mark
prefixes that shouldn't be routed.  Please make this easier to parse.  This
is partly because of the over interpretation of RFC 6491 mentioned in the
previous comment.

Nits/editorial comments:
Abstract: Acronym BGP needs expanding.
s1: Acronyms ROA, AS and NLRI need expanding.
s2: It would be worth reinforcing that the behaviors being modified here are
currently specified in RFC 4271.  Arguably relevant section numbers would
help.
s4: Acronym RPKI needs expanding.
> security gotchas often lurk in the undefined spaces
This is slang and cliche that may be difficult for non-US speakers to
understand.

---

From: Warren Kumari <[email-masked]>
Date: Sun, 26 Aug 2012 11:37:28 -0400

On Aug 23, 2012, at 8:27 AM, Elwyn Davies wrote:

> I am the assigned Gen-ART reviewer for this draft.

Cool, and thank you for performing the review...

> For background on

Yup. I think that when I originally wrote the above the pre-6491 draft mentioned invalid, but the RFC doesn't :-P

I have reworded it to:
RFC 6491 specifies that AS number zero in a ROA is used to mark a prefix and all its more specific prefixes as not to be used in a routing context. This allows a resource holder to signal that a prefix (and the more specifics) should not be routed by publishing a ROA listing AS0 as the only origin. To respond to this signal requres that BGP implementations do not accept or propagate routes containing AS0.

> mentioned in the previous comment.

'twas supposed to mean just the first part (discarding routes with AS 0), but this allows the second part :-P

Have modified it to just:
At least two implementations discard routes containing AS 0, and this document codifies this behavior.

> Abstract: Acronym BGP needs expanding.

Done!

> s1: Acronyms ROA, AS and NLRI need expanding.

Done, done and done.

> are currently specified in RFC 4271.  Arguably relevant section numbers

Done:
This document corrects this omission, most importantly in the case of the AS_PATH. This represents an update to the error handling procedures given in RFC4271 Sections 6.2 and 6.3 by specifying the behavior in the presence of AS0.

> s4: Acronym RPKI needs expanding.

Done.

> This is slang and cliche that may be difficult for non-US speakers to understand. 

Fair 'nuff. I fixed it, y'all. :-P

W

--
"Real children don't go hoppity-skip unless they are on drugs."

    -- Susan, the ultimate sensible governess (Terry Pratchett, Hogfather)

---

From: Elwyn Davies <[email-masked]>
Date: Mon, 27 Aug 2012 02:10:36 +0100

That all looks good.

I think we are done here.

Thanks,
Elwyn